Bug 200712 - log spamming i915 since recent MFC to stable/10
Summary: log spamming i915 since recent MFC to stable/10
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: 10.1-STABLE
Hardware: amd64 Any
: --- Affects Some People
Assignee: Jean-Sébastien Pédron
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-06-08 17:33 UTC by Thomas Zander
Modified: 2016-01-13 22:03 UTC (History)
5 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Zander freebsd_committer 2015-06-08 17:33:02 UTC
Since a recent update of a stable/10 workstation to a post-r282199 kernel, I observe log spamming wrt i915 drm:

[...]
Jun  8 18:39:59 marvin2011 kernel: error: [drm:pid24:i915_gem_object_unbind] *ERROR* Attempting to unbind pinned buffer
Jun  8 18:39:59 marvin2011 last message repeated 20 times
Jun  8 18:40:13 marvin2011 kernel: error: [drm:pid1323:gen6_sanitize_pm] *ERROR* Power management discrepancy: GEN6_RP_INTERRUPT_LIMITS expected 190d0000, was 19000000
Jun  8 18:41:51 marvin2011 kernel: error: [drm:pid1323:gen6_sanitize_pm] *ERROR* Power management discrepancy: GEN6_RP_INTERRUPT_LIMITS expected 190d0000, was 19000000
Jun  8 18:41:56 marvin2011 kernel: error: [drm:pid1323:gen6_sanitize_pm] *ERROR* Power management discrepancy: GEN6_RP_INTERRUPT_LIMITS expected 190d0000, was 19000000
Jun  8 18:42:51 marvin2011 kernel: error: [drm:pid24:i915_gem_object_unbind] *ERROR* Attempting to unbind pinned buffer
Jun  8 18:43:29 marvin2011 last message repeated 21 times
Jun  8 18:43:29 marvin2011 last message repeated 21 times
Jun  8 18:44:14 marvin2011 kernel: error: [drm:pid1323:gen6_sanitize_pm] *ERROR* Power management discrepancy: GEN6_RP_INTERRUPT_LIMITS expected 190d0000, was 19000000
Jun  8 18:44:21 marvin2011 kernel: error: [drm:pid1323:gen6_sanitize_pm] *ERROR* Power management discrepancy: GEN6_RP_INTERRUPT_LIMITS expected 190d0000, was 19000000
[...]

The CPU/GPU in this system is a:

CPU: Intel(R) Xeon(R) CPU E31260L @ 2.40GHz (2400.08-MHz K8-class CPU)
Origin="GenuineIntel"  Id=0x206a7  Family=0x6  Model=0x2a  Stepping=7
Features=0xbfebfbff<FPU,VME,DE,PSE,TSC,MSR,PAE,MCE,CX8,APIC,SEP,MTRR,PGE,MCA,CMOV,PAT,PSE36,CLFLUSH,DTS,ACPI,MMX,FXSR,SSE,SSE2,SS,HTT,TM,PBE>
Features2=0x1fbae3ff<SSE3,PCLMULQDQ,DTES64,MON,DS_CPL,VMX,SMX,EST,TM2,SSSE3,CX16,xTPR,PDCM,PCID,SSE4.1,SSE4.2,x2APIC,POPCNT,TSCDLT,AESNI,XSAVE,OSXSAVE,AVX>
AMD Features=0x28100800<SYSCALL,NX,RDTSCP,LM>
AMD Features2=0x1<LAHF>
XSAVE Features=0x1<XSAVEOPT>
VT-x: PAT,HLT,MTF,PAUSE,EPT,UG,VPID
TSC: P-state invariant, performance statistics
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2015-06-08 20:38:48 UTC
Jean-Sebastien: is this something that you worked on?
Comment 2 Jean-Sébastien Pédron freebsd_committer 2015-06-09 08:37:06 UTC
Hi!

I did not committed anything important to the i915 driver so far. The last major change in the i915 driver was r277487:
https://svnweb.freebsd.org/base?view=revision&revision=277487

Thomas, could you please test if the spam was introduced with this commit?
Comment 3 Thomas Zander freebsd_committer 2015-06-09 19:31:51 UTC
(In reply to Jean-Sebastien Pedron from comment #2)

Hi,
thanks for picking up the ball. I am running stable on this machine, not head as your commit link refers to. I believe you are right in that the flooding started after the new driver was MFCed. A quick search through the older driver sources indicates that the "Power management discrepancy" message didn't even exist prior to that commit. I am not 100% sure, though, whether it went so excessive after r280369 or r282199. If the latter did not change anything in buffer pinning ...
Comment 4 Bjorn Robertsson 2015-09-02 12:55:42 UTC
Running 10.2-RELEASE on MacMini 2012:

Sep  2 11:46:55 mm kernel: error: [drm:pid1077:gen6_sanitize_pm] *ERROR* Power management discrepancy: GEN6_RP_INTERRUPT_LIMITS expected 16070000, was 16000000
Sep  2 11:47:04 mm kernel: error: [drm:pid1077:gen6_sanitize_pm] *ERROR* Power management discrepancy: GEN6_RP_INTERRUPT_LIMITS expected 16070000, was 16000000

messages.4.bz2:Sep  1 08:50:50 mm kernel: CPU: Intel(R) Core(TM) i5-3210M CPU @ 2.50GHz (2494.38-MHz K8-class CPU)
messages.4.bz2-Sep  1 08:50:50 mm kernel: Origin="GenuineIntel"  Id=0x306a9  Family=0x6  Model=0x3a  Stepping=9
messages.4.bz2-Sep  1 08:50:50 mm kernel: Features=0xbfebfbff<FPU,VME,DE,PSE,TSC,MSR,PAE,MCE,CX8,APIC,SEP,MTRR,PGE,MCA,CMOV,PAT,PSE36,CLFLUSH,DTS,ACPI,MMX,FXSR,SSE,SSE2,SS,HTT,TM,PBE>
messages.4.bz2-Sep  1 08:50:50 mm kernel: Features2=0x7fbae3bf<SSE3,PCLMULQDQ,DTES64,MON,DS_CPL,VMX,EST,TM2,SSSE3,CX16,xTPR,PDCM,PCID,SSE4.1,SSE4.2,x2APIC,POPCNT,TSCDLT,AESNI,XSAVE,OSXSAVE,AVX,F16C,RDRAND>

Using :
[    46.046] (--) PCI:*(0:0:2:0) 8086:0166:106b:00ff rev 9, Mem @ 0xa0000000/4194304, 0x90000000/268435456, I/O @ 0x00002000/64, BIOS @ 0x????????/65536
...
[    46.049] (II) Loading /usr/local/lib/xorg/modules/drivers/intel_drv.so
Comment 5 parv 2015-09-09 09:49:45 UTC
The message "Attempting to unbind pinned buffer" has rendered "dmesg" output rather useless ...

# dmesg -a \
  | fgrep 'error: [drm:pid4:i915_gem_object_unbind] *ERROR* Attempting to unbind pinned buffer' \
  | wc
    1158    9264   97272


... after uptime of about 5 hour 20 minute; (Xorg was started just after boot). For completeness sake ...

# dmesg -a | fgrep -v '<above error message>' | wc
      17     146     940


FreeBSD version is ...

# uname -a
FreeBSD holstein.holy.cow 10.2-STABLE FreeBSD 10.2-STABLE #1 r286917: Wed Aug 19
04:42:56 HST 2015  root@holstein.holy.cow:/misc/obj-10/misc/src-10/sys/GENERIC  i386

... and an excerpt of dmesg saved in past of Lenovo Thinkpad X200 ...

...
CPU: Intel(R) Core(TM)2 Duo CPU     P8600  @ 2.40GHz (2394.06-MHz 686-class CPU)
  Origin="GenuineIntel"  Id=0x1067a  Family=0x6  Model=0x17  Stepping=10
  Features=0xbfebfbff<FPU,VME,DE,PSE,TSC,MSR,PAE,MCE,CX8,APIC,SEP,MTRR,PGE,MCA,CMOV,PAT,PSE36,CLFLUSH,DTS,ACPI,MMX,FXSR,SSE,SSE2,SS,HTT,TM,PBE>
  Features2=0xc08e3fd<SSE3,DTES64,MON,DS_CPL,VMX,SMX,EST,TM2,SSSE3,CX16,xTPR,PDCM,SSE4.1,XSAVE,OSXSAVE>
  AMD Features=0x20100000<NX,LM>
  AMD Features2=0x1<LAHF>
  VT-x: Basic Features=0x5a0800<SMM,INS/OUTS>
        Pin-Based Controls=0x3f<ExtINT,NMI,VNMI>
        Primary Processor Controls=0xf7f9fffe<INTWIN,TSCOff,HLT,INVLPG,MWAIT,RDPMC,RDTSC,CR3-LD,CR3-ST,CR8-LD,CR8-ST,TPR,NMIWIN,MOV-DR,IO,IOmap,MSRmap,MONITOR,PAUSE>
        Secondary Processor Controls=0x41<APIC,WBINVD>
        Exit Controls=0x5a0800<PAT-LD,EFER-SV,PTMR-SV>
        Entry Controls=0x5a0800
  TSC: P-state invariant, performance statistics
...

... and from Xorg log ...

# egrep -ri 'gpu|i9[16]5' /var/log/Xorg.0.log
[    43.172] (==) Not automatically adding GPU devices
    915G, E7221 (i915), 915GM, 945G, 945GM, 945GME, Pineview GM,
[    47.668] (II) intel(0): [DRI2]   DRI driver: i965
[    48.156] (II) AIGLX: Loaded and initialized i965
Comment 6 rhs 2015-09-20 23:07:29 UTC
# freebsd-version
10.2-RELEASE-p3
# uname -a
FreeBSD richard.my.domain 10.2-RELEASE FreeBSD 10.2-RELEASE #0 r286666: Wed Aug 12 15:26:37 UTC 2015     root@releng1.nyi.freebsd.org:/usr/obj/usr/src/sys/GENERIC  amd64

Also getting the spam message. Also have had problems with heating.
This is my post https://forums.freebsd.org/threads/drm-error-logs.52888/.
I added some additional dtrace info and my full dmesg with comments are linked in as well. Thanks for helping. Hope this helps.
Rick
Comment 7 commit-hook freebsd_committer 2015-10-10 07:43:50 UTC
A commit references this bug:

Author: dumbbell
Date: Sat Oct 10 07:43:02 UTC 2015
New revision: 289109
URL: https://svnweb.freebsd.org/changeset/base/289109

Log:
  drm/i915: Remove "Attempting to unbind pinned buffer" message

  This error message is removed in later versions of Linux and currently,
  it spams users.

  PR:		200712
  MFC after:	1 week

Changes:
  head/sys/dev/drm2/i915/i915_gem.c
Comment 8 Thomas Zander freebsd_committer 2015-12-29 10:53:01 UTC
(In reply to commit-hook from comment #7)

Is this MFC'ed to 10-stable? If not, could we please MFC it before 10.3-R?
Comment 9 commit-hook freebsd_committer 2016-01-13 21:56:57 UTC
A commit references this bug:

Author: dumbbell
Date: Wed Jan 13 21:56:49 UTC 2016
New revision: 293857
URL: https://svnweb.freebsd.org/changeset/base/293857

Log:
  drm/i915: Remove "Attempting to unbind pinned buffer" message

  This error message is removed in later versions of Linux and currently,
  it spams users.

  PR:		200712
  MFC of:		r289109

Changes:
_U  stable/10/
  stable/10/sys/dev/drm2/i915/i915_gem.c